Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)

From: [email-masked]
Date: Thu, 4 Dec 2003 14:05:24 +0200

Tim & Pekka,

I got this comment from Thomas wrt Stateless DHCP:

 Does this even need mentioning? I.e, what are the real implications
 for clients? Do they need to implement full blown dhc (the client
 part)? Or do they implement some subset?  (Hmm... reading the related
 draft, clients implement a subset... And this document has a normative
 reference to the other ID, so either this document needs to be more
 explicit about what stateless DHCPv6 is, or will have to wait on the
 other document.)

We agreed that perhaps discussion of Statless DHCP need not be mentioned.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Tim Chown
> Sent: 04 December, 2003 13:54
> To: [email-masked]
> Subject: Re: Node Req: Issue31: DHCPv6 text (ignore previous mails)
> 
> 
> On Thu, Dec 04, 2003 at 01:42:36PM +0200, Pekka Savola wrote:
> > On Thu, 4 Dec 2003, Tim Chown wrote:
> > > On Thu, Dec 04, 2003 at 01:25:35PM +0200, Pekka Savola wrote:
> > > > 
> > > > Also, there are basically two versions of "DHCP": the 
> one specified in 
> > > > RFC3315, and the "stateless DHCP", in IESG review at 
> the moment.  It 
> > > > is not clear to which you're referring to here.
> > > 
> > > Does that matter to the client?
> > 
> > The sentences start basically like, "If the node implements 
> DHCP, it 
> > MUST/SHOULD do foo".
> > 
> > Does a stateless DHCP count as implmenting DHCP?  Is stateless DHCP 
> > non-compliant with Node Requirements?
> 
> OK, so the node may implement the full DHCPv6 spec (for 
> address and other 
> info) or stateless DHCPv6 (only for other info).   The 
> implementation of
> how other info is obtained would be the same.   
> 
> So I agree we should say something like "If the node 
> implements stateful
> address configuration for DHCPv6 then"
> 
> i.e. put the language in terms of client functionality rather 
> than whether
> the server is full or ststeless?
> 
> Tim
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Thu, 4 Dec 2003 12:17:11 +0000

I guess it would be good to get Ralph's input here.

Clearly clients may implement a subset, and if we consider that for this
document we can either

a) add references to stateless DHCPv6, but this is not finished so that 
   is not ideal

b) use language that emphasises whether the client implements stateful
   address configuration and/or other configuration options (and for now
   we assume that these are the two possible subsets of functionality)

Running with b) seems safer at this stage - it would add a bit of wordage 
but avoid the possible hold-up that Thomas hints at?

Tim